Skip to main content
GET
Get all blacklist entries

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://dev.flextell.ai/oauth/authorize
Token URL
https://dev.flextell.ai/oauth/token

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
blocked_at,
expires_at,
created_at,
updated_at
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
channel_id
integer | null

Filter by channel id.

customer_id
integer | null

Filter by customer id.

is_active
boolean | null

Filter by active status.

trashed
boolean | null

Filter by trashed status.

Response

Paginated set of ChannelBlacklistResource

data
ChannelBlacklistResource · object[]
required
meta
object
required